Subject: Re: cvsserver problem with eclipse?

From: Bill Burdick <[email-masked]>
Date: Mon, 01 May 2006 16:23:42 +0000

OK, I replaced the eclipse file (yoda) with the latest from the head.  
Then I changed it in my git project, committed it, and pushed it to the 
shared repo.  Finally, I did a "compare with latest from head" and it 
proceeded to update the file and then said that there were no changes.  
Here's the log:

Valid-responses ok error M E Checked-in Valid-requests Template 
Set-sticky MT Clear-static-directory Module-expansion 
Set-static-directory Clear-sticky New-entry Merged Removed Updated 
Remove-entry Update-existing Copy-file Created Notified Mod-time
valid-requests
Valid-requests remove add status Entry watchers ci tag log co Modified 
Questionable admin Root history valid-requests Global_option Argumentx 
annotate Valid-responses Unchanged Directory rlog Argument 
expand-modules diff editors update
ok
Root /tmp/public.git
CMD> cvs -n update -d "/yoda/yoda"
Global_option -n
Argument -d
Directory .
/tmp/public.git/yoda
Entry /yoda/1.9///
Modified yoda
u=rw,g=rw,o=r
48
Argument yoda
Directory .
/tmp/public.git/yoda
update
M C yoda
Update-existing ./
/tmp/public.git/yoda/yoda
/yoda/1.10/+//
u=rw,g=rw,o=rw
95
ok
RESULT> Status OK: org.eclipse.team.cvs.core code=0 ok null
Valid-responses ok error M E Checked-in Valid-requests Template 
Set-sticky MT Clear-static-directory Module-expansion 
Set-static-directory Clear-sticky New-entry Merged Removed Updated 
Remove-entry Update-existing Copy-file Created Notified Mod-time
valid-requests
Valid-requests remove add status Entry watchers ci tag log co Modified 
Questionable admin Root history valid-requests Global_option Argumentx 
annotate Valid-responses Unchanged Directory rlog Argument 
expand-modules diff editors update
ok
Root /tmp/public.git
CMD> cvs status "yoda"
Directory .
/tmp/public.git/yoda
Entry /yoda/0///
Modified yoda
u=rw,g=rw,o=r
0
Argument yoda
Directory .
/tmp/public.git/yoda
status
M ===================================================================
M File: yoda    Status: Needs Checkout
M Working revision:    0
M Repository revision:    1.10    /tmp/public.git/yoda/yoda,v
M Sticky Tag:        (none)
M Sticky Date:        (none)
M Sticky Options:        (none)
M
ok
RESULT> Status OK: org.eclipse.team.cvs.core code=0 ok null

Martin Langhoff wrote:

> On 5/1/06, Bill Burdick <[email-masked]> wrote:
>
>> OK, I changed the way I was testing this to match your usage plan and I
>> still got the same results.  It works just fine for vanilla CVS; cvs
>> status shows the re revision in the repo and cvs update brings it in.
>
>
> That's a good start!
>
>> Eclipse has the same funky behavior: Compare with latest at the project
>> level shows no differences, but compare with latest on the changed file
>> actually does an update instead of popping up the Eclipse diff viewer.
>
>
> Hmmm. Eclipse does some weird funky sh*t sometimes. Can you ask it to
> get you a log? There's an option in Eclipse CVS control settings that
> will enable logging of cvs commands to the console. Enable it, and
> then start Eclipse from the commandline, piping stderr and stdout to a
> logfile.
>
> There are also some weird differences depending on how you ask for the
> update or diff. I hate doing this but I'll have to ask you to tell me
> exactly how you ask for the diff and for the update.
>
> And the platform you are running Eclipse on.
>
>> By the way, I had trouble at first accessing the repo with SSH because
>> of permissions on the sqlite db.  I'm not totally sure about the
>> implications for multiple users, but maybe just using a common group
>> will work fine?
>
>
> Yes, a common group is the thing to do.
>
>  $ chgrp gitusers *sqlite
>  $ chmod g+w *sqlite
>
>> I'm really happy with git and git-cvsserver!  I'm hoping to be able to
>> standardize on it for our Eclipse work.  It seems like it should be
>
>
> Great to hear that!
>
> cheers,
>
>
>
> martin
>